<?php

/**
 * @file
 * Definition of new field used to define refernces information for slugs.
 *
 */

/**
 * Implementation of hook_theme().
 */
function panels_subsites_theme() {
  return array(
    'panels_subsites_ref' => array(
      'arguments' => array(
        'element' => NULL
      ),
    ),
  );
}

/**
 * Theme function to format the our custom form element.
 */
function theme_panels_subsites_ref($element) {
  return theme('form_element', $element, '<div class="panels_subsites_ref">'. $element['#children'] .'</div>');
}

/**
 * Implementation of hook_elements().
 */
function panels_subsites_elements() {
  $types = array();

  $types['panels_subsites_ref'] = array(
    '#input' => TRUE,
    '#process' => array('panels_subsites_ref_element_process'),
  );

  return $types;
}

/**
 * Process the subsites_ref form element.
 *
 * Adds the form elements this element is composted of.
 */
function panels_subsites_ref_element_process($element, $form_state) {
  $element['#tree'] = TRUE;

  $element['ref'] = array(
    '#type' => 'select',
    '#title' => t('Field'),
    '#options' => $element['#ref_options'],
    '#default_value' => $element['#ref'],
  );

  $element['weight'] = array(
    '#type' => 'weight',
    '#title' => t('Weight'),
    '#delta' => 10,
    '#default_value' => $element['#weight'],
  );

  return $element;
}

